Package org.apache.sysds.runtime.functionobjects

# Class Max

java.lang.Object
org.apache.sysds.runtime.functionobjects.FunctionObject
org.apache.sysds.runtime.functionobjects.ValueFunction
org.apache.sysds.runtime.functionobjects.Builtin
org.apache.sysds.runtime.functionobjects.Max

All Implemented Interfaces:
  `Serializable`

public class Max extends Builtin

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.functionobjects.Builtin

`Builtin.BuiltinCode`

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.functionobjects.Builtin

`bFunc, String2BuiltinCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`execute(boolean in1, boolean in2)`
`double`
`execute(double in1, double in2)`
`double`
`execute(long in1, long in2)`
`static Max`
`getMaxFnObject()`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.Builtin

`execute, execute, execute, execute, getBuiltinCode, getBuiltinFnObject, getBuiltinFnObject, isBinarySparseSafe, isBuiltinCode, isBuiltinFnObject, toString`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`isBinary, requiresCorrection`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getMaxFnObject

public static Max getMaxFnObject()

### execute

public boolean execute(boolean in1, boolean in2)

Overrides:
  `execute` in class `FunctionObject`

### execute

public double execute(long in1, long in2)

Overrides:
  `execute` in class `Builtin`

### execute

public double execute(double in1, double in2)

Overrides:
  `execute` in class `Builtin`